Method: locations.getRagEngineConfig

Full name: projects.locations.getRagEngineConfig

Gets a RagEngineConfig.

Endpoint

get https://{service-endpoint}/v1beta1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the RagEngineConfig resource. Format: projects/{project}/locations/{location}/ragEngineConfig

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of RagEngineConfig.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.ragEngineConfigs.get

For more information, see the IAM documentation.